/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Tokuno Quest\Part 1 A Cold Warning\conversations.cs
Lines of code: 58
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.ColdWarningKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "I see you're already on a quest. When you're free come talk to me.";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "Thank you. They're right in the winter spur. Be sure to watch out for their cold aura, it will hurt you if you don't have a high resistance to cold.<br>Come back here and let me know when it's safe to travel into the winter spur.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			QuestKillEntry entry1 = new QuestKillEntry("WinterReaper","Winter Reapers in the Winter Spur",10);
			entry1.AddLocation(new Rectangle2D(new Point2D(786,26),new Point2D(1023,174)),Map.Tokuno);
			
			ko.AddQKE(entry1);
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}

	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Thanks a lot! Now I can gather that herb. I know it's not much but take this bag of treasure as a reward. I gathered a few too many of these herbs in the Makoto-Jima Wastelands, here take one of them. If you bring that herb to my friend Juro the Alchemist in Zento, he might have a job for you.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			ColdWarningKillQuest.GiveRewardTo( System.From );
		}
	}		
	
	
}